Package com.pixelmed.transfermonitor

# Class TransferMonitoringContext

java.lang.Object
com.pixelmed.transfermonitor.TransferMonitoringContext

public class TransferMonitoringContext extends Object

## Constructor Summary

Constructors
Constructor
Description
`TransferMonitoringContext(String description)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
Close the monitoring context since no more transfers are expected.
`boolean`
`equals(Object obj)`
`int`
`hashCode()`
`boolean`
`isClosed()`
`void`
`setDescription(String description)`
Update the description, such as when we have received more information like the name of the sender.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TransferMonitoringContext

public TransferMonitoringContext(String description)

## Method Details

### setDescription

public void setDescription(String description)

Update the description, such as when we have received more information like the name of the sender.

Parameters:
  `description` - new description

### close

public void close()

Close the monitoring context since no more transfers are expected.

### isClosed

public boolean isClosed()

Returns:
  true if monitoring context has been closed and no more transfers are expected

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`
Parameters:
  `obj` -

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`
Returns:
  hash code of context

### toString

public String toString()

Overrides:
  `toString` in class `Object`
Returns:
  description of context